# What is UI Kitten?

UI Kitten is a customizable React Native UI Library based on <a href="https://hubs.ly/H0n6C-l0">Eva Design System</a> specifications, with 20+ UI components, 2 visual themes, and other supporting modules.
<hr>

## What's included
  
  UI Kitten modules are distributed as separated npm packages:
  
  - UI Components `@ui-kitten/components`
    - Theme - Light and Dark visual themes, based on Design System.
    - UI Components - high-quality React Native components with no 3rd party dependencies.
    - Right-to-left writing system support for all components.
    - <a href="https://github.com/necolas/react-native-web" target="_blank">React Native Web</a> support.
  - UI Kitten Eva Icons `@ui-kitten/eva-icons`
    - <a href="https://hubs.ly/H0n6Df20">Eva Icons</a> is a pack of more than 480 beautifully crafted icons. This module runs it in React Native
  - UI Kitten Moment `@ui-kitten/moment`
  - UI Kitten date-fns `@ui-kitten/date-fns`
    - Modules allowing UI Kitten components to work with dates with help most popular date libraries. 
  - Demo App <a href="https://github.com/akveo/kittenTricks" target="_blank">Kitten Tricks</a> - React Native application based on UI Kitten modules.
  - <a href="https://hubs.ly/H0n6Dfz0">Backend Bundles</a> - backend starter kits connected to UI Kitten layouts.
<hr>

## Assumptions

This documentation assumes that you are already familiar with JavaScript/TypeScript, and React/React Native.

<hr>

## Have questions?

Didn't find something here? Ask on <a href="https://stackoverflow.com/questions/ask">Stack Overflow</a> with tag `ui-kitten` or post an issue on <a href="https://github.com/akveo/react-native-ui-kitten/issues/new/choose">GitHub</a>.
